HttpMessage::addHeaders
HttpMessage::detach
HttpMessage
PHP Manual

# HttpMessage::__construct

HttpMessage constructor

### Description

public HttpMessage::__construct ([ string `$message` ] )

Instantiate a new HttpMessage object.

The constructed object will actually represent the last message of the passed string. If there were prior messages, those can be accessed by HttpMessage::getParentMessage.

### Parameters

`message`

  a single or several consecutive HTTP messages

### Errors/Exceptions

Throws HttpMalformedHeaderException.